/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

import "frameworks/base/core/proto/android/server/surfaceanimator.proto";
import "frameworks/base/libs/incident/proto/android/privacy.proto";

package com.android.server.wm;
option java_multiple_files = true;

/**
 * Represents a {@link com.android.server.wm.AppWindowThumbnail} object.
 */
message AppWindowThumbnailProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    optional int32 width = 1;
    optional int32 height = 2;
    optional SurfaceAnimatorProto surface_animator = 3;
}
